package cs320.stu31;

import java.sql.*;
import java.util.*;

public class Store extends DBBean {

	List<Item> items;

	// new item
	String name;
	double price;
	int quantity;

  public Store() throws Exception
  {
    super();
  }

  public List<Item> getItems() throws Exception
  {
    items = new ArrayList<Item>();

    Connection c = DriverManager.getConnection( url, user, pass );
    Statement stmt = c.createStatement();
    ResultSet rs = stmt.executeQuery( "select * from items" );

    while( rs.next() )
    {
      items.add( new Item(rs.getString(1), rs.getDouble(2), rs.getInt(3)) );
    }

    c.close();

    return items;
  }

  public void setName( String name )
  {
    this.name = name;
  }

  public void setPrice( double price )
  {
    this.price = price;
  }

  public void setQuantity( int quantity )
  {
    this.quantity = quantity;
  }

  public void setAddItem( String s ) throws Exception
  {
    String sql = "insert into items values (?, ?, ?)";

    Connection c = DriverManager.getConnection( url, user, pass );
    PreparedStatement pstmt = c.prepareStatement(sql);
    pstmt.setString( 1, name );
    pstmt.setDouble( 2, price );
    pstmt.setInt( 3, quantity );
    pstmt.executeUpdate();
    c.close();
  }
 
  public static void main( String args[] ) throws Exception
  {
    Store store = new Store();
    List<Item> items = store.getItems();

    for( Item item : items )
      System.out.println( item.getName() );
  }

} 

